#!/bin/bash

#updates by WIPAT 2555-02-03

if [ -z "$(id -nG|grep -w "root")" ] ; then
  echo "need root, or try: sudo sh $0"
  exit
fi

MY_DIR=$(pwd)
SRC_DIR="${MY_DIR}/trunk/"
DST_DIR="/"

cp -f ${SRC_DIR}/etc/apt/sources.list.d/remastersys.list ${DST_DIR}/etc/apt/sources.list.d 
sudo apt-get update
sudo apt-get -y --force-yes install remastersys

find ${SRC_DIR} -type d| while read LINE ; do
  TARGET=$(echo ${LINE}|sed "s;${SRC_DIR};${DST_DIR};")
  if [ ! -d "${TARGET}" ] ; then
    mkdir ${TARGET}
  fi
done
find ${SRC_DIR} -type f| while read LINE ; do
  TARGET=$(echo ${LINE}|sed "s;${SRC_DIR};${DST_DIR};")
  if [ -e "${TARGET}" ] ; then
    if [ -z "$(diff -q ${LINE} ${TARGET})" ] ; then
      continue
    fi 
    INFO=$(ls -clQ --time-style=long-iso ${TARGET})
    CTIME=$(echo ${INFO}|awk '{ print $6"-"$7 }')
    NAME=$(echo "${TARGET}_${CTIME}")
    cp -v ${TARGET} ${NAME}
  fi
  cp -v ${LINE} ${TARGET}
done
sudo cp -f ${MY_DIR}/version.txt /etc/remastersys/mrtg
